Google Web Toolkit (Beta)
Search this site:

# Interface RichTextArea.ExtendedFormatter

public static interface RichTextArea.ExtendedFormatter
extends RichTextArea.BasicFormatter
This interface is used to access full formatting options, when available. If the implementation supports full formatting, then RichTextArea.getExtendedFormatter() will return an instance of this class.

## Methods

createLink(String) | Creates a link to the supplied URL.
insertHorizontalRule() | Inserts a horizontal rule.
insertImage(String) | Inserts an image element.
insertOrderedList() | Starts an numbered list.
insertUnorderedList() | Starts an bulleted list.
isStrikethrough() | Is the current region strikethrough?
leftIndent() | Left indent.
removeFormat() | Removes all formatting on the selected text.
removeLink() | Removes any link from the selected text.
rightIndent() | Right indent.
toggleStrikethrough() | Toggles strikethrough.

## Method Detail

### createLink

public void createLink(String url)
Creates a link to the supplied URL.

#### Parameters

url
  the URL to be linked to

### insertHorizontalRule

public void insertHorizontalRule()
Inserts a horizontal rule.

### insertImage

public void insertImage(String url)
Inserts an image element.

#### Parameters

url
  the url of the image to be inserted

### insertOrderedList

public void insertOrderedList()
Starts an numbered list. Indentation will create nested items.

### insertUnorderedList

public void insertUnorderedList()
Starts an bulleted list. Indentation will create nested items.

### isStrikethrough

public boolean isStrikethrough()
Is the current region strikethrough?

#### Return Value

true if the current region is strikethrough

### leftIndent

public void leftIndent()
Left indent.

### removeFormat

public void removeFormat()
Removes all formatting on the selected text.

### removeLink

public void removeLink()
Removes any link from the selected text.

### rightIndent

public void rightIndent()
Right indent.

### toggleStrikethrough

public void toggleStrikethrough()
Toggles strikethrough.